# Class CSSSWTImageHelper

java.lang.Object
org.eclipse.e4.ui.css.swt.helpers.CSSSWTImageHelper

public class CSSSWTImageHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`CSSSWTImageHelper()`

## Method Summary

Modifier and Type
Method
Description
`static Image`
`getImage(CSSValue value, IResourcesLocatorManager manager, Display display)`
`static void`
`restoreDefaultImage(Button button)`
`static void`
`restoreDefaultImage(Item item)`
`static void`
`restoreDefaultImage(Shell shell)`
`static void`
`restoreDefaultImage(ToolItem item)`
`static void`
`setBackgroundImage(Control control, Image image)`
Helper function to avoid setting images unnecessarily
`static void`
`setImage(Button button, Image image)`
Helper function to avoid setting images unnecessarily
`static void`
`storeDefaultImage(Button button)`
`static void`
`storeDefaultImage(Item item)`
`static void`
`storeDefaultImage(Shell shell)`
`static void`
`storeDefaultImage(ToolItem item)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSSWTImageHelper

public CSSSWTImageHelper()

## Method Details

### getImage

public static Image getImage(CSSValue value, IResourcesLocatorManager manager, Display display) throws Exception

Throws:
  `Exception`

### storeDefaultImage

public static void storeDefaultImage(Shell shell)

### storeDefaultImage

public static void storeDefaultImage(Item item)

### storeDefaultImage

public static void storeDefaultImage(ToolItem item)

### storeDefaultImage

public static void storeDefaultImage(Button button)

### restoreDefaultImage

public static void restoreDefaultImage(Shell shell)

### restoreDefaultImage

public static void restoreDefaultImage(Item item)

### restoreDefaultImage

public static void restoreDefaultImage(ToolItem item)

### restoreDefaultImage

public static void restoreDefaultImage(Button button)

### setImage

public static void setImage(Button button, Image image)
Helper function to avoid setting images unnecessarily

### setBackgroundImage

public static void setBackgroundImage(Control control, Image image)
Helper function to avoid setting images unnecessarily